Debian Bug report logs - #433372
armagetronad: Wrong category in desktop definition

version graph

Package: armagetronad; Maintainer for armagetronad is Christine Spang <christine@debian.org>; Source for armagetronad is src:armagetronad.

Reported by: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>

Date: Mon, 16 Jul 2007 18:51:01 UTC

Severity: minor

Found in versions armagetronad/0.2.8.2.1-7, 0.2.8.2.1-5

Forwarded to http://sourceforge.net/tracker/index.php?func=detail&aid=1756156&group_id=110997&atid=657948

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christine Spang <christine@debian.org>:
Bug#433372; Package armagetronad. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
New Bug report received and forwarded. Copy sent to Christine Spang <christine@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: armagetronad: Wrong category in desktop definition
Date: Mon, 16 Jul 2007 20:49:37 +0200
Package: armagetronad
Version: 0.2.8.2.1-7
Severity: minor

The /usr/share/applications/armagetronad.desktop file shipped with the
package does not contain a valid category definition:

Categories=Application;Game;ActionGame;GameAction;ActionGames;GamesAction;

Neither 'ActionGames', nor 'GameAction' or 'GamesAction' are valid
categories in the latest version of the FreeDesktop standard:
http://standards.freedesktop.org/menu-spec/latest/apa.html

The categroy definition should be:

Categories=Application;Game;ActionGame

Regards

Javier

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-1-686 (SMP w/2 CPU cores)
Locale: LANG=es_ES@euro, LC_CTYPE=es_ES@euro (charmap=ISO-8859-1) (ignored: LC_ALL set to es_ES)
Shell: /bin/sh linked to /bin/bash

Versions of packages armagetronad depends on:
ii  armagetronad-common     0.2.8.2.1-7      Common files for the Armagetron Ad
ii  libc6                   2.5-11           GNU C Library: Shared libraries
ii  libgcc1                 1:4.2-20070707-1 GCC support library
ii  libgl1-mesa-glx [libgl1 6.5.2-7          A free implementation of the OpenG
ii  libglu1-mesa [libglu1]  6.5.2-7          The OpenGL utility library (GLU)
ii  libjpeg62               6b-13            The Independent JPEG Group's JPEG 
ii  libpng12-0              1.2.15~beta5-2   PNG library - runtime
ii  libsdl-image1.2         1.2.5-3          image loading library for Simple D
ii  libsdl1.2debian         1.2.11-9         Simple DirectMedia Layer
ii  libstdc++6              4.2-20070707-1   The GNU Standard C++ Library v3
ii  libxml2                 2.6.29.dfsg-1    GNOME XML library
ii  zlib1g                  1:1.2.3.3.dfsg-5 compression library - runtime

armagetronad recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Christine Spang <christine@debian.org>:
Bug#433372; Package armagetronad. Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Christine Spang <christine@debian.org>. Full text and rfc822 format available.

Message #10 received at 433372@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: 433372@bugs.debian.org
Subject: armagetronad: Wrong category in desktop definition
Date: Tue, 17 Jul 2007 13:28:53 +0200
Hi,

> The categroy definition should be:
> 
> Categories=Application;Game;ActionGame
                                        ^

Application isn't valid too. This is an GNOME <=2.4 only category. When
fixing the file, remove the Application category. Further there is a
semicolon missing. Otherwise this file is invalid too. So the entry
should probably be:

Categories=Game;ActionGame;

Check with desktop-file-validate for further issues.

Regards, Daniel




Noted your statement that Bug has been forwarded to http://sourceforge.net/tracker/index.php?func=detail&aid=1756156&group_id=110997&atid=657948. Request was from "A. Christine Spang" <spang@MIT.EDU> to control@bugs.debian.org. (Wed, 18 Jul 2007 13:24:08 GMT) Full text and rfc822 format available.

Reply sent to Christine Spang <christine@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 433372-close@bugs.debian.org (full text, mbox):

From: Christine Spang <christine@debian.org>
To: 433372-close@bugs.debian.org
Subject: Bug#433372: fixed in armagetronad 0.3.0-1
Date: Thu, 09 Aug 2007 17:02:07 +0000
Source: armagetronad
Source-Version: 0.3.0-1

We believe that the bug you reported is fixed in the latest version of
armagetronad, which is due to be installed in the Debian FTP archive:

armagetron-common_0.3.0-1_all.deb
  to pool/main/a/armagetronad/armagetron-common_0.3.0-1_all.deb
armagetron-server_0.3.0-1_all.deb
  to pool/main/a/armagetronad/armagetron-server_0.3.0-1_all.deb
armagetron_0.3.0-1_all.deb
  to pool/main/a/armagetronad/armagetron_0.3.0-1_all.deb
armagetronad-common_0.3.0-1_all.deb
  to pool/main/a/armagetronad/armagetronad-common_0.3.0-1_all.deb
armagetronad-dedicated_0.3.0-1_i386.deb
  to pool/main/a/armagetronad/armagetronad-dedicated_0.3.0-1_i386.deb
armagetronad_0.3.0-1.diff.gz
  to pool/main/a/armagetronad/armagetronad_0.3.0-1.diff.gz
armagetronad_0.3.0-1.dsc
  to pool/main/a/armagetronad/armagetronad_0.3.0-1.dsc
armagetronad_0.3.0-1_i386.deb
  to pool/main/a/armagetronad/armagetronad_0.3.0-1_i386.deb
armagetronad_0.3.0.orig.tar.gz
  to pool/main/a/armagetronad/armagetronad_0.3.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 433372@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christine Spang <christine@debian.org> (supplier of updated armagetronad package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 08 Aug 2007 15:40:33 +0000
Source: armagetronad
Binary: armagetron-common armagetronad-common armagetronad armagetron-server armagetron armagetronad-dedicated
Architecture: source all i386
Version: 0.3.0-1
Distribution: experimental
Urgency: low
Maintainer: christine@debian.org
Changed-By: Christine Spang <christine@debian.org>
Description: 
 armagetron - Dummy upgrade package for Armagetron
 armagetron-common - Dummy upgrade package for Armagetron
 armagetron-server - Dummy upgrade package for Armagetron
 armagetronad - 3D Tron-like high speed game
 armagetronad-common - Common files for the Armagetron Advanced packages
 armagetronad-dedicated - dedicated game server for Armagetron Advanced
Closes: 433372
Changes: 
 armagetronad (0.3.0-1) experimental; urgency=low
 .
   * New upstream beta release.
     - Refresh 00_gcc-4.3 patch.
   * Build-Depend on ftgl-dev.
   * Remove userconf upgrade-related code from armagetronad.wrapper;
     upgrades from < 0.2 are no longer supported.
   * Fix .desktop file's categories to comply with the Freedesktop.org
     spec. (Closes: #433372)
   * Make Debian menu file compliant with the new Debian menu structure.
Files: 
 a5ae59dee0284547364dee149a13f389 901 games optional armagetronad_0.3.0-1.dsc
 2606c1e8ebadc01acf2d0398d302b447 4309258 games optional armagetronad_0.3.0.orig.tar.gz
 88ba1c6be3972396bf222de90c219e9c 29068 games optional armagetronad_0.3.0-1.diff.gz
 0f5b1355b3948811c120a53f948076ad 308068 games optional armagetronad-common_0.3.0-1_all.deb
 adb7462f49ed912a4f15f87b057fb94f 7098 games optional armagetron_0.3.0-1_all.deb
 96b5460bb236b43b90eb6f86220fe724 7012 games optional armagetron-common_0.3.0-1_all.deb
 3198b9f52d41676257a659ea97e95f8a 7130 games optional armagetron-server_0.3.0-1_all.deb
 554d3e474ab5f0a18927616cd1a3d490 1612528 games optional armagetronad_0.3.0-1_i386.deb
 90aefdd52703814b1ec6dd002a3ea701 753648 games optional armagetronad-dedicated_0.3.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGu0QBd73XuVITgboRAqtGAJ9xcRDtjYHYxsPAZbZJgGPcX7YXEwCgkFr8
cjdLRSFetSsACb8KgN1Oj2Q=
=kUha
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Laurent Bonnaud <bonnaud@lis.inpg.fr> to control@bugs.debian.org. (Fri, 28 Sep 2007 14:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christine Spang <christine@debian.org>:
Bug#433372; Package armagetronad. Full text and rfc822 format available.

Acknowledgement sent to Laurent Bonnaud <Laurent.Bonnaud@inpg.fr>:
Extra info received and forwarded to list. Copy sent to Christine Spang <christine@debian.org>. Full text and rfc822 format available.

Message #24 received at 433372@bugs.debian.org (full text, mbox):

From: Laurent Bonnaud <Laurent.Bonnaud@inpg.fr>
To: 433372@bugs.debian.org
Subject: Re: armagetronad: Wrong category in desktop definition
Date: Fri, 28 Sep 2007 16:56:20 +0200
Hi,

I reopened this bug because I'm still getting an error in the desktop
file:

# update-desktop-database
Could not parse file '/usr/share/applications/armagetronad.desktop': Key
file contains line 'Game;ActionGame' which is not a key-value pair,
group, or comment

-- 
Laurent Bonnaud.
http://www.lis.inpg.fr/pages_perso/bonnaud/






Reply sent to Christine Spang <christine@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 433372-close@bugs.debian.org (full text, mbox):

From: Christine Spang <christine@debian.org>
To: 433372-close@bugs.debian.org
Subject: Bug#433372: fixed in armagetronad 0.3.0-2
Date: Tue, 09 Oct 2007 02:02:03 +0000
Source: armagetronad
Source-Version: 0.3.0-2

We believe that the bug you reported is fixed in the latest version of
armagetronad, which is due to be installed in the Debian FTP archive:

armagetron-common_0.3.0-2_all.deb
  to pool/main/a/armagetronad/armagetron-common_0.3.0-2_all.deb
armagetron-server_0.3.0-2_all.deb
  to pool/main/a/armagetronad/armagetron-server_0.3.0-2_all.deb
armagetron_0.3.0-2_all.deb
  to pool/main/a/armagetronad/armagetron_0.3.0-2_all.deb
armagetronad-common_0.3.0-2_all.deb
  to pool/main/a/armagetronad/armagetronad-common_0.3.0-2_all.deb
armagetronad-dedicated_0.3.0-2_i386.deb
  to pool/main/a/armagetronad/armagetronad-dedicated_0.3.0-2_i386.deb
armagetronad_0.3.0-2.diff.gz
  to pool/main/a/armagetronad/armagetronad_0.3.0-2.diff.gz
armagetronad_0.3.0-2.dsc
  to pool/main/a/armagetronad/armagetronad_0.3.0-2.dsc
armagetronad_0.3.0-2_i386.deb
  to pool/main/a/armagetronad/armagetronad_0.3.0-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 433372@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christine Spang <christine@debian.org> (supplier of updated armagetronad package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 09 Oct 2007 00:27:07 +0000
Source: armagetronad
Binary: armagetron-common armagetronad-common armagetronad armagetron-server armagetron armagetronad-dedicated
Architecture: source all i386
Version: 0.3.0-2
Distribution: experimental
Urgency: low
Maintainer: christine@debian.org
Changed-By: Christine Spang <christine@debian.org>
Description: 
 armagetron - Dummy upgrade package for Armagetron
 armagetron-common - Dummy upgrade package for Armagetron
 armagetron-server - Dummy upgrade package for Armagetron
 armagetronad - 3D Tron-like high speed game
 armagetronad-common - Common files for the Armagetron Advanced packages
 armagetronad-dedicated - dedicated game server for Armagetron Advanced
Closes: 433372
Changes: 
 armagetronad (0.3.0-2) experimental; urgency=low
 .
   * Really fix .desktop file and double-check with desktop-file-validate.
     (Closes: #433372)
Files: 
 51602f184420db8d71ea967f02253379 901 games optional armagetronad_0.3.0-2.dsc
 cf7ff498181e86f8c01c6ce89d028e88 29218 games optional armagetronad_0.3.0-2.diff.gz
 0eb28bbe7a7f8743ff8710ac386575da 308096 games optional armagetronad-common_0.3.0-2_all.deb
 3498e0f2e6cb076d1caa27c7ed43f4d3 7136 games optional armagetron_0.3.0-2_all.deb
 20e1bbf5c24a9073a6c2f7bf1ad5b9b2 7056 games optional armagetron-common_0.3.0-2_all.deb
 bd795ca333da0260c9a51ad20a0b6162 7168 games optional armagetron-server_0.3.0-2_all.deb
 ecd48596ea20ab6bfc9f5c56dd77e8ff 1594014 games optional armagetronad_0.3.0-2_i386.deb
 0e95b54e65eb03b827200103de694798 741858 games optional armagetronad-dedicated_0.3.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHCt+fd73XuVITgboRAh7uAKClUrQRfnSd5JoHcjd8afW3Fi/KFwCfd2R0
QKlApDzL4JTBqIxopU6kkrI=
=/jcO
-----END PGP SIGNATURE-----





Marked as found in versions 0.2.8.2.1-5. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 02 Nov 2013 15:57:41 GMT) Full text and rfc822 format available.

Bug reopened Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sun, 24 Nov 2013 20:41:02 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions armagetronad/0.3.0-2. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sun, 24 Nov 2013 20:41:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:00:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.